import Vue from "vue";
import ViewUI from "view-design";
import axios from "axios";
import uploader from "vue-simple-uploader";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import { message } from "@/utils/resetMessage.js";
import ImgPreview from "./components/ImgPreview";

Vue.use(uploader);
Vue.use(ViewUI);
Vue.use(ImgPreview);
Vue.prototype.$Message = message;
Vue.prototype.$api = window._config;
// 全局事件总线
Vue.prototype.$EventBus = new Vue();

axios.defaults.baseURL = window._config.baseUrl;
Vue.prototype.axios = axios;
window.axios = axios;

Vue.config.productionTip = false;

window.vue = new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount("#app");
